> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Process and distribute rewards for a single asset staking campaign to all participating users.

# Admin - process rewards for a campaign



## OpenAPI

````yaml cardano/managed-contracts-api/openapi.json post /contracts/singleAssetStaking/processRewards
openapi: 3.0.3
info:
  title: Cardano - Managed Contracts API
  description: https://docs.gomaestro.org/getting-started
  contact:
    name: Maestro
    email: info@gomaestro.org
    url: https://gomaestro.org/
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v1.9.0
servers:
  - url: https://mainnet.gomaestro-api.org/v1
    description: Cardano Mainnet
  - url: https://preprod.gomaestro-api.org/v1
    description: Cardano Preprod
  - url: https://preview.gomaestro-api.org/v1
    description: Cardano Preview
security:
  - api-key: []
paths:
  /contracts/singleAssetStaking/processRewards:
    post:
      tags:
        - Single Asset Staking
      summary: Admin - process rewards for a campaign
      description: Admin - Processing rewards for a single asset staking campaign
      operationId: sas_process_rewards
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProcessRewardsRequest'
      responses:
        '200':
          description: Withdraw stake transaction build successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Transaction'
        '400':
          description: Bad Request. Invalid request body provided.
components:
  schemas:
    ProcessRewardsRequest:
      type: object
      properties:
        configTN:
          type: string
          description: Configuration TN
      required:
        - configTN
    Transaction:
      type: object
      description: Unsigned transaction
      properties:
        cbor_hex:
          type: string
          description: CBOR hexadecimal representation of the transaction
        tx_hash:
          type: string
          description: Transaction hash
      required:
        - cbor_hex
        - tx_hash
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````